using Actions;
using UnityEngine;

namespace UI {
    public class ActionBusyUI : MonoBehaviour {
        private void Start() {
            UnitActionSystem.Instance.OnBusyChanged += UnitActionSystem_OnBusyChanged;
            gameObject.SetActive(false);
        }

        private void UnitActionSystem_OnBusyChanged(object sender, bool isBusy) => gameObject.SetActive(isBusy);
    }
}